CREATE TABLE gl_periods (
    PERIOD_NAME                  VARCHAR2(60) ,
    PERIOD_SET_NAME              VARCHAR2(60) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    START_DATE                   DATE             NOT NULL,
    END_DATE                     DATE             NOT NULL,
    YEAR_START_DATE              DATE         ,
    QUARTER_START_DATE           DATE         ,
    PERIOD_TYPE                  VARCHAR2(60)     NOT NULL,
    PERIOD_YEAR                  NUMBER(18, 0)    NOT NULL,
    PERIOD_NUM                   NUMBER(18, 0)    NOT NULL,
    QUARTER_NUM                  NUMBER(18, 0)    NOT NULL,
    ENTERED_PERIOD_NAME          VARCHAR2(60)     NOT NULL,
    ADJUSTMENT_PERIOD_FLAG       VARCHAR2(4)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    DESCRIPTION                  VARCHAR2(960),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONFIRMATION_STATUS          VARCHAR2(4)  ,
    ENTERPRISE_ID                NUMBER(18, 0),
    FISCAL_YEAR                  VARCHAR2(120),
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    GLOBAL_ATTRIBUTE1            VARCHAR2(600),
    GLOBAL_ATTRIBUTE2            VARCHAR2(600),
    GLOBAL_ATTRIBUTE3            VARCHAR2(600),
    GLOBAL_ATTRIBUTE4            VARCHAR2(600),
    GLOBAL_ATTRIBUTE5            VARCHAR2(600),
    GLOBAL_ATTRIBUTE6            VARCHAR2(600),
    GLOBAL_ATTRIBUTE7            VARCHAR2(600),
    GLOBAL_ATTRIBUTE8            VARCHAR2(600),
    GLOBAL_ATTRIBUTE9            VARCHAR2(600),
    GLOBAL_ATTRIBUTE10           VARCHAR2(600),
    GLOBAL_ATTRIBUTE11           VARCHAR2(600),
    GLOBAL_ATTRIBUTE12           VARCHAR2(600),
    GLOBAL_ATTRIBUTE13           VARCHAR2(600),
    GLOBAL_ATTRIBUTE14           VARCHAR2(600),
    GLOBAL_ATTRIBUTE15           VARCHAR2(600),
    GLOBAL_ATTRIBUTE16           VARCHAR2(600),
    GLOBAL_ATTRIBUTE17           VARCHAR2(600),
    GLOBAL_ATTRIBUTE18           VARCHAR2(600),
    GLOBAL_ATTRIBUTE19           VARCHAR2(600),
    GLOBAL_ATTRIBUTE20           VARCHAR2(600),
    GLOBAL_ATTRIBUTE_NUMBER1     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER2     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER3     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER4     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER5     NUMBER       ,
    GLOBAL_ATTRIBUTE_DATE1       DATE         ,
    GLOBAL_ATTRIBUTE_DATE2       DATE         ,
    GLOBAL_ATTRIBUTE_DATE3       DATE         ,
    GLOBAL_ATTRIBUTE_DATE4       DATE         ,
    GLOBAL_ATTRIBUTE_DATE5       DATE         ,
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    PERIOD_NAME                  VARCHAR2(60) ,
    PERIOD_SET_NAME              VARCHAR2(60) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    START_DATE                   DATE             NOT NULL,
    END_DATE                     DATE             NOT NULL,
    YEAR_START_DATE              DATE         ,
    QUARTER_START_DATE           DATE         ,
    PERIOD_TYPE                  VARCHAR2(60)     NOT NULL,
    PERIOD_YEAR                  NUMBER(18, 0)    NOT NULL,
    PERIOD_NUM                   NUMBER(18, 0)    NOT NULL,
    QUARTER_NUM                  NUMBER(18, 0)    NOT NULL,
    ENTERED_PERIOD_NAME          VARCHAR2(60)     NOT NULL,
    ADJUSTMENT_PERIOD_FLAG       VARCHAR2(4)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    DESCRIPTION                  VARCHAR2(960),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE_CATEGORY           VARCHAR2(600),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONFIRMATION_STATUS          VARCHAR2(4)  ,
    ENTERPRISE_ID                NUMBER(18, 0),
    FISCAL_YEAR                  VARCHAR2(120),
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    GLOBAL_ATTRIBUTE1            VARCHAR2(600),
    GLOBAL_ATTRIBUTE2            VARCHAR2(600),
    GLOBAL_ATTRIBUTE3            VARCHAR2(600),
    GLOBAL_ATTRIBUTE4            VARCHAR2(600),
    GLOBAL_ATTRIBUTE5            VARCHAR2(600),
    GLOBAL_ATTRIBUTE6            VARCHAR2(600),
    GLOBAL_ATTRIBUTE7            VARCHAR2(600),
    GLOBAL_ATTRIBUTE8            VARCHAR2(600),
    GLOBAL_ATTRIBUTE9            VARCHAR2(600),
    GLOBAL_ATTRIBUTE10           VARCHAR2(600),
    GLOBAL_ATTRIBUTE11           VARCHAR2(600),
    GLOBAL_ATTRIBUTE12           VARCHAR2(600),
    GLOBAL_ATTRIBUTE13           VARCHAR2(600),
    GLOBAL_ATTRIBUTE14           VARCHAR2(600),
    GLOBAL_ATTRIBUTE15           VARCHAR2(600),
    GLOBAL_ATTRIBUTE16           VARCHAR2(600),
    GLOBAL_ATTRIBUTE17           VARCHAR2(600),
    GLOBAL_ATTRIBUTE18           VARCHAR2(600),
    GLOBAL_ATTRIBUTE19           VARCHAR2(600),
    GLOBAL_ATTRIBUTE20           VARCHAR2(600),
    GLOBAL_ATTRIBUTE_NUMBER1     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER2     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER3     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER4     NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER5     NUMBER       ,
    GLOBAL_ATTRIBUTE_DATE1       DATE         ,
    GLOBAL_ATTRIBUTE_DATE2       DATE         ,
    GLOBAL_ATTRIBUTE_DATE3       DATE         ,
    GLOBAL_ATTRIBUTE_DATE4       DATE         ,
    GLOBAL_ATTRIBUTE_DATE5       DATE         ,
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    CONSTRAINT pk_gl_periods PRIMARY KEY (PERIOD_NAME, PERIOD_SET_NAME, PERIOD_NAME, PERIOD_SET_NAME)
);
